const libs = `${process.cwd()}/libs`;

const log = require(`${libs}/log`)(module);

const sqlDecorator = require(`${libs}/query_decorator`);

const yearRange = () => {
    const yearSql = 'SELECT MIN(t.ano_censo) AS start_year, MAX(t.ano_censo)'
        + 'AS end_year FROM turmas AS t';
    log.debug('Generated SQL query for enrollments\' year range');
    return sqlDecorator.execQuery(yearSql, []);
};

module.exports = yearRange;
